#include "gpio_input_key.h"

extern u8 BtFlowControl_start;
extern u8 SPP_CreditCount;

void gpio_input_init(void)  //流控控制引脚初始化
{
    gpio_init_typedef gpio_init_structure;

    gpio_init_structure.gpio_pin = GPIO_PIN_5;
    gpio_init_structure.gpio_dir = GPIO_DIR_INPUT;
    gpio_init_structure.gpio_fen = GPIO_FEN_GPIO;
    gpio_init_structure.gpio_mode = GPIO_MODE_DIGITAL;
    gpio_init_structure.gpio_pupd = GPIO_PUPD_UP;

    gpio_init(GPIOB_REG, &gpio_init_structure);
}
extern u8 BtFlowControl_start;
extern u8 SPP_CreditCount;
void BtFlowControl(void)   //在流控后解除流控
{   /*spp流控触发后复位流控*/
    if((BtFlowControl_start==1)&&(gpio_read_bit(GPIOB_REG, GPIO_PIN_5) == RESET))     //不流控时复位流控
    {
        spp_set_rx_new_credit(SPP_CreditCount);
        BtFlowControl_start = 0;
        SPP_CreditCount = 0;
    }
}
